if __name__ == '__main__':
    import os 
    import argparse
    import shutil
    import datetime
    parser = argparse.ArgumentParser()
    parser.add_argument('--path', type=str, required=True, help='path to uncompressed bundle')

    args = parser.parse_args()

    if not os.path.exists(args.path):
        raise ValueError(f'{args.path} not found')
    if os.path.isdir(args.path):
        src_dir = args.path

        f_list = list(os.listdir(args.path))
    else:
        src_dir, f = os.path.split(args.path) 
        f_list = [f]


    src_dir_name = os.path.split(src_dir)[1]
    import subprocess
    asset_folder = 'I:\SteamLibrary\steamapps\common\GTFO\BepInEx\Assets\AssetBundles'
    for i, f in enumerate(f_list):
        if f == src_dir_name or f.endswith('.manifest') or f.endswith('-compressed'): continue
        print(f'{i + 1}: {f}')
        path = os.path.join(src_dir, f) 

        subprocess.call(['I:\SteamLibrary\steamapps\common\GTFO\AssetBundleCompressor\AssetBundleCompressor.exe', 
                         path, 
                         'I:\SteamLibrary\steamapps\common\GTFO\GTFO_Data'])
        path = path + '-compressed'
        shutil.copy2(path, asset_folder)
    print(datetime.datetime.now())